| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::ppf_match_3d::Pose3D Class Reference
Surface Matching

Class, allowing the storage of a pose. The data structure stores both the quaternions and the matrix forms. It supports IO functionality together with various helper methods to work with poses. More...

`#include <opencv2/surface_matching/pose_3d.hpp>`

Collaboration diagram for cv::ppf_match_3d::Pose3D:

## Public Member Functions
| Pose3D ()
| Pose3D (double Alpha, size_t ModelIndex=0, size_t NumVotes=0)
virtual | ~Pose3D ()
void | appendPose (Matx44d &IncrementalPose)
| Left multiplies the existing pose in order to update the transformation.
Pose3DPtr | clone ()
void | printPose ()
int | readPose (const std::string &FileName)
int | readPose (FILE *f)
void | updatePose (Matx33d &NewR, Vec3d &NewT)
| Updates the pose with the new one.
void | updatePose (Matx44d &NewPose)
| Updates the pose with the new one.
void | updatePoseQuat (Vec4d &Q, Vec3d &NewT)
| Updates the pose with the new one, but this time using quaternions to represent rotation.
int | writePose (const std::string &FileName)
int | writePose (FILE *f)

## Public Attributes
double | alpha
double | angle
size_t | modelIndex
size_t | numVotes
Matx44d | pose
Vec4d | q
double | residual
Vec3d | t

## Detailed Description

Class, allowing the storage of a pose. The data structure stores both the quaternions and the matrix forms. It supports IO functionality together with various helper methods to work with poses.

## Constructor & Destructor Documentation

## ◆ Pose3D() [1/2]

cv::ppf_match_3d::Pose3D::Pose3D | ( |  | ) |
| inline

Python:
| cv.ppf_match_3d.Pose3D( |  | ) -> | <ppf_match_3d_Pose3D object>
| cv.ppf_match_3d.Pose3D( | Alpha[, ModelIndex[, NumVotes]] | ) -> | <ppf_match_3d_Pose3D object>

## ◆ Pose3D() [2/2]

cv::ppf_match_3d::Pose3D::Pose3D | ( | double | Alpha,
|  | size_t | ModelIndex = 0,
|  | size_t | NumVotes = 0 )
| inline

Python:
| cv.ppf_match_3d.Pose3D( |  | ) -> | <ppf_match_3d_Pose3D object>
| cv.ppf_match_3d.Pose3D( | Alpha[, ModelIndex[, NumVotes]] | ) -> | <ppf_match_3d_Pose3D object>

## ◆ ~Pose3D()

virtual cv::ppf_match_3d::Pose3D::~Pose3D | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ appendPose()

void cv::ppf_match_3d::Pose3D::appendPose | ( | Matx44d & | IncrementalPose | ) |

Python:
| cv.ppf_match_3d.Pose3D.appendPose( | IncrementalPose | ) -> | None

Left multiplies the existing pose in order to update the transformation.

Parameters

  [in] | IncrementalPose | New pose to apply

## ◆ clone()

Pose3DPtr cv::ppf_match_3d::Pose3D::clone | ( |  | ) |

## ◆ printPose()

void cv::ppf_match_3d::Pose3D::printPose | ( |  | ) |

Python:
| cv.ppf_match_3d.Pose3D.printPose( |  | ) -> | None

## ◆ readPose() [1/2]

int cv::ppf_match_3d::Pose3D::readPose | ( | const std::string & | FileName | ) |

## ◆ readPose() [2/2]

int cv::ppf_match_3d::Pose3D::readPose | ( | FILE * | f | ) |

## ◆ updatePose() [1/2]

void cv::ppf_match_3d::Pose3D::updatePose | ( | Matx33d & | NewR,
|  | Vec3d & | NewT )

Python:
| cv.ppf_match_3d.Pose3D.updatePose( | NewPose | ) -> | None
| cv.ppf_match_3d.Pose3D.updatePose( | NewR, NewT | ) -> | None

Updates the pose with the new one.

## ◆ updatePose() [2/2]

void cv::ppf_match_3d::Pose3D::updatePose | ( | Matx44d & | NewPose | ) |

Python:
| cv.ppf_match_3d.Pose3D.updatePose( | NewPose | ) -> | None
| cv.ppf_match_3d.Pose3D.updatePose( | NewR, NewT | ) -> | None

Updates the pose with the new one.

Parameters

  [in] | NewPose | New pose to overwrite

## ◆ updatePoseQuat()

void cv::ppf_match_3d::Pose3D::updatePoseQuat | ( | Vec4d & | Q,
|  | Vec3d & | NewT )

Python:
| cv.ppf_match_3d.Pose3D.updatePoseQuat( | Q, NewT | ) -> | None

Updates the pose with the new one, but this time using quaternions to represent rotation.

## ◆ writePose() [1/2]

int cv::ppf_match_3d::Pose3D::writePose | ( | const std::string & | FileName | ) |

## ◆ writePose() [2/2]

int cv::ppf_match_3d::Pose3D::writePose | ( | FILE * | f | ) |

## Member Data Documentation

## ◆ alpha

double cv::ppf_match_3d::Pose3D::alpha

## ◆ angle

double cv::ppf_match_3d::Pose3D::angle

## ◆ modelIndex

size_t cv::ppf_match_3d::Pose3D::modelIndex

## ◆ numVotes

size_t cv::ppf_match_3d::Pose3D::numVotes

## ◆ pose

Matx44d cv::ppf_match_3d::Pose3D::pose

## ◆ q

Vec4d cv::ppf_match_3d::Pose3D::q

## ◆ residual

double cv::ppf_match_3d::Pose3D::residual

## ◆ t

Vec3d cv::ppf_match_3d::Pose3D::t

The documentation for this class was generated from the following file:

- opencv2/surface_matching/pose_3d.hpp